Inspect an installation’s live database capture sources
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/installations/{installation_id}/recovery-sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/installations/{installation_id}/recovery-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/installations/{installation_id}/recovery-sources \
--header 'Authorization: Bearer <token>'{
"installation_id": "<string>",
"application_id": "<string>",
"cluster_id": "<string>",
"namespace": "<string>",
"revision": "<string>",
"checked_at": "<string>",
"cnpg_databases": [
{
"name": "<string>",
"database": "<string>",
"engine": "postgres",
"server_version": "<string>",
"consistency": "logical"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Applications
Inspect an installation’s live database capture sources
Requires applications.read and backups.read with backups enabled. Resolves CNPG databases from the owned deployed manifest and fresh operator-owned primary Services. Returns 503 for unreadable or ambiguous evidence. This inventory is not a backup or restore receipt. Other database engines are not inventoried.
GET
/
org
/
applications
/
{application_id}
/
installations
/
{installation_id}
/
recovery-sources
Inspect an installation’s live database capture sources
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/installations/{installation_id}/recovery-sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/installations/{installation_id}/recovery-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/installations/{installation_id}/recovery-sources \
--header 'Authorization: Bearer <token>'{
"installation_id": "<string>",
"application_id": "<string>",
"cluster_id": "<string>",
"namespace": "<string>",
"revision": "<string>",
"checked_at": "<string>",
"cnpg_databases": [
{
"name": "<string>",
"database": "<string>",
"engine": "postgres",
"server_version": "<string>",
"consistency": "logical"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.